<?php declare(strict_types=1);

namespace App\Services\User;

use App\Dto\Builder\User as UserBuilderDto;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\Relation;

final readonly class BuilderCommand
{
    public function execute(Relation | Builder $query, UserBuilderDto $userBuilderDto): Relation | Builder
    {
        return $query;
    }
}
